#include <bits/stdc++.h>
using namespace std;

int main()
{
    int t, n, m, k;
    cin>>t;
    string l;
    for(int i=0; i<t; i++){
        cin>>n>>m>>k;
        int s=0;
        int a[n];
        for(int i=0; i<n/k; i++){
            a[i]=i+1;
            s+=a[i];}
        if(s*k>m)
            l.append("Nie\n");
        else l.append("Tak\n");}
    cout<<l;
    return 0;
}